* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

@font-face {
    font-family: Microsoft YaHei-Bold;
    src: url('/clientarea/template/pc/shiwai-s4/font/MicrosoftYaHei.ttf') format('truetype');
}


/* ---------  组件样式修改   --------- */
.input-with-select .el-input-group__prepend {
    width: 100px;
}

.el-input-group__append,
.el-input-group__prepend {
    border: 1px solid #E1E1E1;
}

.el-input-group--prepend .el-input__inner {
    color: #A3A9BB !important;
}

.el-input__inner {
    border: 1px solid #E1E1E1;
    color: #A3A9BB;
}

.el-checkbox__inner {
    border: 1px solid #707070;
}


/* ---------  修改默认添加类样式   --------- */
/* .s4-backgroundImage {
    background: url('/clientarea/template/pc/shiwais4/img/shiwai-login_Registration_Forgot/backgroundImage.png') no-repeat center;
    background-size: cover;
} */

#login {
    /* padding-top: 80px; */
    background-size: cover;
    flex-direction: column;
}

#regist {
    padding-top: 80px;
    background-size: cover;
    flex-direction: column;
}

#forget {
    padding-top: 80px;
    background-size: cover;
    flex-direction: column;
}

.shiwai-login-footer {
    width: 100%;
    background: #fff;
    height: 60px;
    position: absolute;
    bottom: 0;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
}
.shiwai-login-logo-mobile {
    display: none;
}
.login-gx {
    background: url('/clientarea/template/pc/shiwai-s4/img/index/bot1.png') no-repeat;
    padding-left: 20px;
    color: #000;
    text-decoration: none;
    transition: all .3s;
}
.login-ga {
    background: url('/clientarea/template/pc/shiwai-s4/img/index/bot2.png') no-repeat;
    padding-left: 20px;
    color: #000;
    text-decoration: none;
    transition: all .3s;
}
.login-gx:hover,.login-ga:hover {
    color: #0058ff;
    transition: all .3s;
}

.login-container {
    width: auto;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    gap:10px;
  }

.s4-elasticCentering {
    justify-content: space-around;
    align-items: normal;
    
    gap: 70px;
}

.s4-cancelPositioning {
    width: 480px;
    height: 600px;
    position: inherit;
    right: 0;
    left: 0;
    top: 0;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
    background: linear-gradient(to left, rgb(255 255 255 / 48%) 50%, #ffffff 100%);
    box-shadow: 0px 3px 6px 1px rgba(2, 18, 71, 0.16);
    backdrop-filter: blur(34px);
}

.s4-cancelSpacing {
    padding: 40px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}


.s4-loginBoxTitle {
    text-align: center;
    font-weight: bold;
    margin-top: 20px;
    font-family: Microsoft YaHei-Bold;
    font-size: 25px;
    line-height: inherit;
}

.s4-loginSpacing {
    margin-top: 0px;
}

.s4-tagSwitching {
    font-size: 16px;
}

.s4-tagSwitching .login-phone {
    height: 30px;
    color: #222838;
}

.s4-tagSwitching .active {
    border-color: #2766FC;
    color: #2766FC;
}


.code-btn {
    background-color: #2766FC;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
    padding: 12px 14px;
}

.s4-protocolText {
    padding: 0;
    cursor: pointer;
    color: #000;
    font-size: 13px;
}

.s4-protocolText a {
    color: #2766FC !important;
}

.s4-clickSpacing {
    margin: 20px 0 30px 0;
    line-height: inherit;
}

.s4-passwordLogin {
    color: #2766FC;
    cursor: pointer;
}

.s4-loginButton {
    margin-top: 15px;
}

.login-btn {
    background-color: #2766FC;
    font-size: 17px;
    border-radius: 8px;
}

.s4-registerNow {
    text-align: center;
    margin-top: 15px;
    color: #2766FC;
}

.s4-registerNow a {
    color: #4A4A4A;
}

.form-item {
    margin-top: 15px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.s4-login-qq-weixin {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    margin-top: 30px;
}

.s4-login-qq-weixin a img {
    width: 30px;
    height: 30px;
}

.s4-translate {
    right: 10px;
    top: 10px;
}

/* ---------  新增盒子样式   --------- */
.s4-titleAndDescription {
    height: 100%;
}

.s4-titleAndDescription span {
    font-size: 40px;
    font-weight: bold;
    font-family: Microsoft YaHei-Bold;
}

.s4-titleAndDescription p {
    font-size: 18px;
    margin-top: 20px;
}

@media (max-width: 768px) {

    /* 取消点击时的背景高亮效果 */
    * {
        -webkit-tap-highlight-color: transparent;
        -webkit-user-select: none;
        /* 禁用用户选择 */
        -webkit-touch-callout: none;
        /* 禁止长按菜单 */
        -webkit-tap-highlight-color: transparent;
        /* 禁用点击高亮 */
    }

    .s4-scrolled{
        background-color: #fff;
        z-index: 99;
    }

    .s4-cancelSpacing {
        padding: 5vw;
        font-size: 3.5vw;
        justify-content: normal;
        line-height: inherit;
    }

    body {

        background: url('/clientarea/template/pc/shiwai-s4/img/shiwai-login_Registration_Forgot/longBackground.png') no-repeat center;
        background-size: cover;
    }

    .s4-backgroundImage {
        background: transparent;
    }

    .s4-titleAndDescription {
        display: none;
    }

    .s4-elasticCentering {
        background-color: transparent;
        gap: 0;
    }

    #login {
        padding-top: 17vw;
        height: 100%;
        position: fixed;
        width: 100%;
    }
    #regist{
        padding-top: 17vw;
        height: 100%;
        position: fixed;
        width: 100%;
    }

    #forget{
        padding-top: 17vw;
        height: 100%;
        position: fixed;
        width: 100%;
    }

    .login-container {
        width: 100%;
        height: 100%;
        padding: 0;
    }

    .s4-cancelPositioning {
        width: 100%;
        height: 100% !important;
        margin: 0;
        background: transparent;
        box-shadow: none;
        backdrop-filter: blur(9vw);
        border-radius: 5vw 5vw 0 0;
        background: #ffffff70;
    }

    .s4-titles {
        display: none;
    }

    .login-email,
    .login-phone {
        width: auto;
    }

    /* 翻译 */
    .s4-translate {
        right: 5vw;
        top: -14vw;
        position: fixed;
    }
    
    .read-item .check-div{
        display: inline;
    }

    .s4-translate .el-input__inner {
        border-radius: 6vw;
        -webkit-border-radius: 6vw;
        -moz-border-radius: 6vw;
        -ms-border-radius: 6vw;
        -o-border-radius: 6vw;
    }

    .el-select {
        width: 110px !important;
    }

    /* 登录与头部 间距 */
    .s4-loginSpacing {
        margin-top: 8vw;
    }

    /* 全局文本框样式 */
    .el-input__inner {
        height: 10vw;
        font-size: 3.4vw;
    }

    .el-input--suffix .el-input__inner {
        padding-right: 7vw;
    }

    .el-input__suffix {
        right: 1vw;
    }

    /* 手机号码 邮箱登录注册 标题 */
    .s4-tagSwitching {
        font-size: 4vw;
    }

    /* 手机标题标签高度 */
    .s4-tagSwitching .login-phone {
        height: 8vw;
        font-size: 4.5vw;
    }

    .s4-tagSwitching .login-email {
        height: 8vw;
        font-size: 4.5vw;
    }

    /* 登录与标题标签的间距 */
    .s4-primaryCoverage {
        margin-top: 8vw;
    }

    .s4-primaryCoverage .form-item {
        margin-top: 4vw;

        display: flex;
        align-items: center;
        gap: 2vw;
    }

    /* 文本框内下拉 */
    .el-input-group__append,
    .el-input-group__prepend {
        padding: 0 4vw;
        border-radius: 1vw;
    }

    /* 组件原生样式 */
    .el-input-group__append .el-button,
    .el-input-group__append .el-select,
    .el-input-group__prepend .el-button,
    .el-input-group__prepend .el-select {
        margin: -5vw -5vw;
    }

    .select-input .el-input--suffix {
        width: 100%;
    }

    .s4-primaryCoverage .el-input__inner {
        height: 11vw;
        font-size: 3.5vw;
    }

    .el-button {
        font-size: 4vw;
    }

    .code-btn {
        border-radius: 1vw;
        -webkit-border-radius: 1vw;
        -moz-border-radius: 1vw;
        -ms-border-radius: 1vw;
        -o-border-radius: 1vw;
        padding: 1vw 2vw;
        height: 10vw;
    }

    /* 密码登录切换 忘记密码 上下间距 */
    .s4-clickSpacing {
        margin: 4vw 0 8vw 0;
        font-size: 3.8vw;
    }

    /* 协议同意框 */
    .el-checkbox__inner {
        width: 3vw;
        height: 3vw;
    }

    .s4-protocolText {
        font-size: 3.4vw;
    }
    .shiwai-login-footer{
        display: none;
    }
    .login-btn {
        border-radius: 1.5vw;
        height: 11vw;
        font-size: 4.5vw;
    }

    /* 没有帐户立即注册 */
    .s4-registerNow {
        margin-top: 5vw;
        font-size: 3.5vw;
    }

    /* 其他登录方式 */
    .s4-otherLogins {
        display: flex;
        gap: 5vw;
        align-items: center;
        justify-content: center;
        color: #888D91;
        margin-top: 20vw;
    }

    .s4-otherLogins i {
        width: 20vw;
        height: 1px;
        background-color: #EAEDF1;
    }

    /* qqwx登录 */
    .s4-login-qq-weixin {
        gap: 15vw;
        margin-top: 7vw;
    }

    .s4-login-qq-weixin a img {
        width: 8vw;
        height: 8vw;
    }

    /* 下拉角标 */
    .el-input__icon {
        width: 6vw;
        font-size: 3.5vw;
        line-height: 1;
    }

    /*  */
    .input-with-select .el-input-group__prepend{
        width: 24vw;
    }
}
.s4-header {
    height: 80px;
    padding: 0 50px;
    position: fixed;
    width: 100%;
    top: 0;
}

.s4-header .s4-logo {
    height: 80px;
    width: 166px;
    display: flex;
    align-items: center;
}

.s4-header .s4-logo a {
    height: 80px;
    display: flex;
    align-items: center;
}

.s4-header .s4-logo img {
    width: 96%;
    height: 75%;
}

@media (max-width: 768px) {
    .s4-header {
        height: 17vw;
        padding: 0 5vw;
    }

    .s4-header .s4-logo {
        height: 17vw;
        width: 40vw;
    }

    .s4-header .s4-logo a {
        height: 17vw;
    }
    
}
.read-item a{
    color: #0058FF !important;
}
.s4-agreement{
    display: flex;
    align-items: center;
    gap: 10px;
}
.el-checkbox{
    display: flex;
    align-items: center;
    white-space:normal;
}
